import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';


export const API_URL_TRANSACTION = {
  /* transaction Management - 거래관리 API */
  allTransactionList: () => {
    // POST: 거래 내역 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/list`;
  },

  allTransactionListSummary: () => {
    // POST: 거래 내역 합계 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/list/summary`;
  },
  downloadExcel: () => {
    // POST: 거래 엑셀 다운로드
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/download/excel`;
  },
  downloadConfirmation: () => {
    // POST: 거래 확인서 다운로드
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/download/confirmation`;
  },
  allTransactionDetail: () => {
    // POST: 거래내역 상세
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/detail`;
  },
  allTransactionCancel: () => {
    // POST: 거래취소 요청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/cancel`;
  },
  allTransactionCancelInfo: () => {
    // POST: 거래취소 정보 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/transaction/cancel-info`;
  },

  /* Cash Receipt Management - 현금영수증 API */
  cashReceiptList: () => {
    // POST: 현금영수증 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/cash-receipt/list`;
  },
  cashReceiptSummary: () => {
    // POST: 현금영수증 합계 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/cash-receipt/summary`;
  },
  cashReceiptDetail: () => {
    // POST: 현금영수증 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/cash-receipt/detail`;
  },
  cashReceiptPurposeUpdate: () => {
    // POST: 현금영수증 용도 변경
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/cash-receipt/purpose/update`;
  },
  cashReceiptManualIssue: () => {
    // POST: 현금영수증 용도 변경
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/cash-receipt/manual/issue`;
  },
  cashReceiptReceiptDownload: () => {
    // POST: 현금영수증 거래확인서 다운로드
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/cash-receipt/receipt/download`;
  },
  
  /* Escro Management - 에스크로 API */
  escrowList: () => {
    // POST: 에스크로 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/escrows/list`;
  },
  escrowDetail: () => {
    // POST: 에스크로 목록 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/escrows/detail`;
  },
  escrowMailResend: () => {
    // POST: 에스크로 메일 재발송
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/escrows/mail/resend`;
  },

  /* Billing Management - 빌링 API */
  billingList: () => {
    // POST: 빌링 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/billing/list`;
  },
  billingDetail: () => {
    // POST: 빌링 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/billing/detail`;
  },
  billingCharge: () => {
    // POST: 빌링 결제 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/billing/charge`;
  },
  
};